@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list {
	padding-block: 0;
	display: flex;
	flex-wrap: wrap;
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li {
	padding-block: 0;
	padding-inline-start: 0;
	font-feature-settings: 'pwid' on;
	font-size: var(--font-size-small);
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li::before {
	display: none;
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li a {
	display: inline-grid;
	grid-template-columns: auto 18px;
	align-items: center;
	color: var(--element-icon-link-color);
	text-decoration: none;
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li a::after {
	content: '';
	width: 18px;
	height: 18px;
	background-color: var(--element-icon-link-hover-color);
	-webkit-mask-image: url(../images/icon/is-anchor.svg);
	mask-image: url(../images/icon/is-anchor.svg);
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li a:hover,
.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li a:active,
.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list li a:focus-visible {
	color: var(--element-icon-link-hover-color);
}

@media screen and (max-width: 1024px) {

	.post-content .simpletoc.wp-block-simpletoc-toc {
		padding-block: 24px;
	}

	.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list {
		gap: 12px;
	}
}

@media screen and (min-width: 1025px) {

	.post-content .simpletoc.wp-block-simpletoc-toc {
		padding-block: 40px;
	}

	.post-content .simpletoc.wp-block-simpletoc-toc .simpletoc-list {
		gap: 24px;
	}
}
